blob: 1597f2b341c03d82fda21b36efde7c99d22caece [file] [log] [blame]
version = 3.8.0.BUILD-SNAPSHOT
# Eclipse JDT Core Batch Compiler
ecjVersion = 4.6.1
# CQ4129 (PB CQ3480)
junitVersion = 4.7
# CQ4132 (PB CQ1887)
easymockVersion = 2.3
# PaxExam
# CQ8541
paxExamJunit4Version = 4.1.0
paxExamContainerNativeVersion = 4.1.0
paxExamLinkMvnVersion = 4.1.0
paxUrlAetherVersion = 1.3.5
paxUrlWrapVersion = 2.3.0
# CQ 13678 SLF4J jcl-over-slf4j Version: 1.7.25
# CQ 13367 SLF4J jul-to-slf4j Version: 1.7.25
# CQ 13680 SLF4J log4j-over-slf4j Version: 1.7.25
# CQ 13637 SLF4J slf4j-api Version: 1.7.25
# CQ 12540 SLF4J slf4j-nop version 1.7.22 and later (incl. 1.7.25)
slf4jVersion = 1.7.25
slf4jApiHash = da76ca59f6a57ee3102f8f9bd9cee742973efa8a
slf4jJulToSlf4jHash = af5364cd6679bfffb114f0dec8a157aaa283b76
slf4jJclOverSlf4jHash = f8c32b13ff142a513eeb5b6330b1588dcb2c0461
# CQ 13636 - Logback Classic Version 1.2.3
# CQ 13635 - Logback Core Version: 1.2.3
logbackVersion = 1.2.3
logbackCoreHash = 864344400c3d4d92dfeb0a305dc87d953677c03c
logbackClassicHash = 7c4f3c474fb2c041d8028740440937705ebb473a
# Eclipse Kepler 4.3.2 (SR2)
equinoxVersion = 3.9.1.v20140110-1610
osgiServicesVersion = 3.3.100.v20130513-1956
osgiServicesHash = 1d73531fac5372870373a06193985611b1239f0c
osgiEnterpriseVersion = 4.2.0.v201108120515
equinoxAppVersion = 1.3.100.v20130327-1442
# ConfigAdminService
equinoxCmVersion = 1.0.400.v20130327-1442
equinoxCmHash = 2c4556a43085690da5002575108656517614f85e
# Eclipse Mars.2
# requires 'package org.osgi.framework 1.8.0'
# equinoxCmVersion = 1.1.0.v20131021-1936
equinoxCommonVersion = 3.6.200.v20130402-1505
# DeclarativeService
#equinoxDsVersion = 1.4.101.v20130813-1853
#equinoxDsVersion = 1.4.400.v20160226-2036
equinoxDsVersion = 1.4.200.v20131126-2331
equinoxDsHash = 59f50a15546657c99dd8686d62b25317585b155
equinoxConsoleVersion = 1.0.100.v20130429-0953
equinoxConsoleHash = 9bab65d301609309156f54cc83e17ed55efc5059
equinoxConsoleSshVersion = 1.0.0.v20130515-2026
equinoxEventVersion = 1.3.0.v20130327-1442
equinoxEventHash = 191496c763bdb392b2a2bed6b7396647abe4662
equinoxFrameworkadminEquinoxVersion = 1.0.500.v20130327-2119
equinoxFrameworkadminVersion = 2.0.100.v20130327-2119
#equinoxHttpJettyVersion = 3.0.200.v20131021-1843
equinoxHttpJettyVersion = 3.0.100.v20130327-1442
#equinoxHttpServletVersion = 1.1.500.v20140318-1755
equinoxHttpServletVersion = 1.1.400.v20130418-1354
# Note: Used by Virgo Build Tools, too
equinoxLauncherVersion = 1.3.0.v20130327-1440
equinoxPreferencesVersion = 3.5.100.v20130422-1538
equinoxRegionVersion = 1.1.101.v20130722-1314
equinoxRegionHash = c489cb1220df26c1261394e47aad0a62918fa05f
equinoxRegionExportedPackageVersion = 1.1.0
equinoxRegistryVersion = 3.5.301.v20130717-1549
equinoxSecurityVersion = 1.2.0.v20130424-1801
equinoxSimpleConfiguratorVersion = 1.0.400.v20130327-2119
equinoxSimpleConfiguratorManipulatorVersion = 2.0.0.v20130327-2119
equinoxUtilVersion = 1.0.500.v20130404-1337
equinoxUtilHash = 89fee67cf927b0345eb1eff24f1391a9bc95fa08
eclipseCoreContenttypeVersion = 3.4.200.v20130326-1255
eclipseCoreJobsVersion = 3.5.300.v20130429-1813
eclipseCoreNetVersion = 1.2.200.v20130430-1352
eclipseCoreRuntimeVersion = 3.9.100.v20131218-1515
eclipseJdtCoreCompilerBatchVersion = 3.10.0.v20140604-1726
eclipseEcfIdentityVersion = 3.2.0.v20130604-1622
eclipseEcfFiletransferVersion = 5.0.0.v20130604-1622
eclipseEcfProviderFiletransferVersion = 3.2.0.v20130604-1622
eclipseEcfSslVersion = 1.1.0.v20130604-1622
eclipseEcfVersion = 3.2.0.v20130604-1622
sat4jCoreVersion = 2.3.5.v201308161310
sat4jPbVersion = 2.3.5.v201308161310
p2ArtifactRepositoryVersion = 1.1.200.v20130515-2028
p2ConsoleVersion = 1.0.300.v20130327-2119
p2CoreVersion = 2.3.0.v20130327-2119
p2DirectorVersion = 2.3.1.v20140221-1852
p2EngineVersion = 2.3.0.v20130526-2122
p2GarbageCollectorVersion = 1.0.200.v20130327-2119
p2JarProcessorVersion = 1.0.300.v20130327-2119
p2MetadataVersion = 2.2.0.v20130523-1557
p2MetadataRepositoryVersion = 1.2.100.v20130327-2119
p2PublisherVersion = 1.3.0.v20140129-1405
p2PublisherEclipseVersion = 1.1.200.v20130516-1953
p2RepositoryVersion = 2.3.0.v20130412-2032
p2TouchpointEclipseVersion = 2.1.200.v20130327-2119
p2TouchpointNativesVersion = 1.1.100.v20130327-2119
p2TransportEcfVersion = 1.1.0.v20130516-1858
#CQ5528
apacheSshdCoreVersion = 0.5.0.v201108120515
#CQ6402 - command, shell and runtime
#gogoVersion = 0.12.0
#gogoCommandHash = 4d7fbb5a56b37c5ea63d05577742cf2941b7c648
#gogoRuntimeHash = c7d5749671b313cc9881fe6d7bafda8cfebc83fa
#gogoShellHash = 22c48992149ac6e41d2f8f646c0441e057bb4bcc
gogoCommandVersion = 0.10.0.v201209301215
gogoCommandHash = 23f6d421ef73380fd139961240339c771c747cd2
gogoRuntimeVersion = 0.10.0.v201209301036
gogoRuntimeHash = fa36cb68e67f5cd228ab5f16e80cba4bdba39940
gogoShellVersion = 0.10.0.v201211091412
gogoShellHash = 2ffe7a334f4953f80158dc438d72cf5eee2a8b42
#CQ5527
minaCoreVersion = 2.0.2.v201108120515
#CQ4033
orgAopAllianceVersion = 1.0.0
aopAllianceHash = 112e747528df9af5a40e9a2ba51960309daf58de
geminiBlueprintVersion = 3.0.0.M01
blueprintIoHash = 4a555fe19c736d7f919114e29f6fc01d4702c8ac
blueprintCoreHash = 7e851316b965bd11b18f9540f3f6150651fa9082
blueprintExtenderHash = 409b930717969d04c1eb54c9e4d45ea9251db2dc
blueprintExtensionsHash = db60aa054a9fdf6e6940e5a9ccc1a3db8031ede2
#CQ 13690 org.springframework.aop
#CQ 13691 org.springframework.aspects
#CQ 13692 org.springframework.beans
#CQ 13693 org.springframework.context
#CQ 13694 org.springframework.context.support
#CQ 13695 org.springframework.core
#CQ 13696 org.springframework.expression
#CQ 13697 org.springframework.jdbc
#CQ 13698 org.springframework.jms
#CQ 13699 org.springframework.messaging
#CQ 13700 org.springframework.orm
#CQ 13701 org.springframework.oxm
#CQ 13702 org.springframework.transaction
#CQ 13703 org.springframework.web
#CQ 13704 org.springframework.webmvc
#CQ 13705 org.springframework.webmvc.portlet
#CQ 13706 org.springframework.websocket
springframeworkVersion = 5.0.8.RELEASE
springAopHash = 323910d0bd37c13ff534ef62fba303a9bcef1451
springBeansHash = bf5fd324c11eb63777f810250cb8c2ea292f9279
springExpressionHash = 92cc7dd736b78420d7a1bcc76b4946f847b0501
springContextHash = e84a767d680ba3d4c9dedbf787d32e570bdfc7ff
springContextSupportHash = e4911b1a9959b5540cedfdbe037d552b6052eeef
springCoreHash = 415c7d22dcab46985f27bbe1ce6de968e073497c
springWebHash = 2340ad8f7dc47227a0475836791541619fff2486
geminiManagementVersion = 1.0.5.RELEASE
geminiWebVersion = 3.0.3.RELEASE
objectwebAsmVersion = 3.2.0.v200909071300
scannotationVersion = 1.0.2.v201205170710
commonsBeanutilsVersion = 1.8.0.v201205091237
# CQ 10288 (PB CQ9217)
commonsCodecVersion = 1.10.0
commonsCodecHash = 8aff50e99bd7e53f8c4f5fe45c2a63f1d47dd19c
commonsCliVersion = 1.2.0
# CQ12542 (PB CQ10386)
commonsCollectionsVersion = 3.2.2
commonsDbcpVersion = 1.4.0.v201204271417
# CQ12541 (PB CQ12051)
commonsFileuploadVersion = 1.3.2
# CQ3956 (PB CQ1765)
commonsHttpClientVersion = 3.1.0
commonsHttpClientVersionHash = e31a58466549fa13270cf794adfc3d55ac9375
# CQ9555 (PB Orbit CQ8938)
httpcomponentsCoreVersion = 4.3.3
# CQ9556 (PB Orbit CQ8934)
httpcomponentsClientVersion = 4.3.6
# CQ13049
commonsIoVersion = 2.5
# CQ7151
commonsLangVersion = 3.1.0
# CQ12625 (PB CQ10162)
commonsLoggingVersion = 1.2.0
# CQ6102
commonsPoolVersion = 1.6.0.v201204271246
apacheTaglibsStandardVersion = 1.1.2.v20110517
apacheBvalVersion = 0.5.0
# TODO update derby to apacheDerbyVersion = 10.12.1.1 required by spring-orm
apacheDerbyVersion = 10.8.2.2_v201211210650
# CQ4833 log4j Version: 1.2.15 (Subset - see all comments) (PB Orbit CQ3560)
# TODO move forward to 1.2.17 used in spring-core
apacheLog4jVersion = 1.2.15.v201012070815
# CQ7162 OpenEJB (Subset) Version: 4.5.2
apacheOpenejbVersion = 4.5.2
apacheOpenejbCoreVersion = 4.5.2.virgo-3
# CQ7145 openwebbeans (Subset) Version: 1.1.7
apacheOpenwebbeansVersion = 1.1.7.v201304201405
apacheOpenwebbeansEEVersion = 1.1.7.v201304200545
apacheOpenwebbeansTomcat7Version = 1.1.7.v201304201405-virgo-1
# CQ7149 XBean (Subset) Version: 3.12
apacheXBeanAsmVersion = 3.12.0.v201304200545
apacheXBeanBundleutilsVersion = 3.12.0.v201304200545
apacheXBeanFinderVersion = 3.12.0.v201304201405
apacheXBeanNamingVersion = 3.12.0.v201304201405
apacheXBeanReflectVersion = 3.12.0.v201304201405
# CQ7147 Java Server Faces Version: 2.1.18
# TODO What's the difference of javax.faces and com.sun.faces - do we need both?
glassfishJavaxFacesVersion = 2.1.18.v201304200545
glassfishComSunFacesVersion = 2.1.18.v201304210537-virgo-2
geronimoComponentsConnectorVersion = 3.1.1.v201205170953
geronimoComponentsTransactionVersion = 3.1.1.v201205170710
geronimoSpecsJ2eeManagementVersion = 1.0.0.v201205091237
geronimoSpecsOsgiLocatorVersion = 1.1.0.v201205170953
geronimoSpecsOsgiRegistryVersion = 1.1.0.v201205170710
javaxActivationVersion = 1.1.0.v201108011116
javaxAnnotationVersion= 1.2.0.v201401042248
# CQ6093 ejb-api Version: 3.1.1
javaxEjbVersion=3.1.1.v201204261316
javaxElVersion=3.0.0.20180121
# CQ6090 (PB Orbit CQ3578)
javaxInjectVersion = 1.0.0.v20091030
javaxJmsVersion=1.1.0.v201205091237
# CQ12547 (PB CQ11275) - 1.5.5
javaxMailVersion = 1.5.6
# TODO create CQ?
# Available from Eclipse Link p2 site http://download.eclipse.org/rt/eclipselink/updates/2.4.2.v20130514-5956486/
javaxPersistenceVersion=2.1.0.v201304241213
# CQ3940
javaxPortletVersion=2.0.0
javaxResourceVersion=1.6.0.v201204270900
javaxSecurityAuthMessageVersion=1.1.0.20170128
# TODO - check if a CQ is missing
javaxSecurityJaccVersion=1.4.0.v201205031350
# CQ6246 Jetty servlet-api Version: 3.0 (PB CQ3217)
# CQ5123 Glassfish servlet-api Version: 3.1-b33 (PB CQ4712)
javaxServletVersion = 3.1.0.20170128
# CQ12626 JSP 2.3 FINAL (API 2.3.1 & Impl 2.3.2) (PB Orbit CQ 7295)
# TODO upgrade to 2.3.1 ?!
javaxServletJspVersion = 2.3.0.20170128
# CQ5435 (PB Orbit CQ2334)
# TODO upgrade to 1.2 needed by spring-aspects, spring-jdbc, spring-jms, spring-orm, spring-tx
# CQ12544 javax.servlet.jsp.jstl api Version: 1.2.1
javaxServletJspJstlApiVersion=1.2.1
# CQ12543 JSP Standard Tag Library Version 1.2.5-b03
javaxServletJspJstlImplVersion=1.2.5-b03
javaxServletJspJstlImplOsgiVersion=1.2.5.b03
# CQ12565 Java Interceptor API 1.2
javaxInterceptorVersion = 1.2
# CQ12546 Java Transaction API Version: 1.2 (PB Orbit CQ7296)
javaxTransactionVersion = 1.2
# CQ6095 Bean Validation API Version: 1.0.0 GA (PB CQ3570)
javaxValidationVersion=1.0.0.GA_v201205091237
# Covered by Tomcat CQ
javaxWebsocketVersion=1.1.0.20170128
javaxWsdlVersion=1.6.2.v201012040545
javaxWsRsVersion=1.1.1.v20101004-1200
javaxXmlRpcVersion=1.1.0.v201005080400
eclipsePersistenceAntlrVersion = 3.2.0.v201206041011
eclipsePersistenceAsmVersion = 3.3.1.v201206041142
# TODO update to 2.4.2 required by spring-orm
eclipsePersistenceCoreVersion = 2.4.1.v20121003-ad44345
eclipsePersistenceJpaVersion = 2.4.1.v20121003-ad44345
eclipsePersistenceJpaJpqlVersion = 2.0.1.v20121003-ad44345
# CQ6092 cdi-api Version: 1.0 (Context and Dependency Injection API from JSR 299)
cdiApiVersion = 1.0.0.v201105160744
javassistVersion = 3.17.1.GA
# CQ6100 Java Open Transaction Manager (JOTM) 2.1.9 *Subset*
jotmVersion = 2.1.9.v201204271116
# TODO - update to 2.2.2 required by spring-context-support
quartzVersion = 1.6.0.v201204271540
# CQ 11207
# CQ 13683
jolokiaVersion = 1.3.6
aspectjVersion = 1.8.10
aspectjHash = 1a14fe9e912f6e8bdbb5429b78b4090d8b47bc1
# Delivered with RAP 2.3.2
jettyVersion = 8.1.16.v20140903
# TODO move forward to latest release (as of April 8th 2016)
#jettyVersion = 8.1.18.v20150929
# CQ13795 Apache Tomcat 8.5.16 (PB CQ13794)
apacheCatalinaVersion = 8.5.16
# CQ7699 (PB Orbit CQ6772)
mozillaJavascriptVersion = 1.7.4.v201209142200
# CQ7126 Hibernate Version: 4.1.0
# TODO - upgrade to 4.3.2.Final used in spring-context
hibernateVersion = 4.1.0.Final
# RAP 2.3.2
eclipseCoreCommandsVersion = 3.6.100.v20140528-1422
eclipseCoreDatabindingObservableVersion = 1.4.1.v20140210-1835
eclipseCoreDatabindingPropertyVersion = 1.4.200.v20140214-0004
eclipseCoreDatabindingVersion = 1.4.2.v20140729-1044
icuBaseVersion = 52.1.1.v201501240615
rapRwtVersion = 2.3.2.20150128-1013
rapRwtOsgiVersion = 2.3.2.20150119-1706
rapJfaceVersion = 2.3.2.20150119-1706
rapJfaceDatabindingVersion = 2.3.2.20150119-1706
rapUiVersion = 2.3.2.20150119-1706
# integration-tests
hsqldbVersion = 2.3.4
# performance-tests
# jwebunitVersion = 2.2.0
# TODO create CQ for version 3.2?
jwebunitVersion = 3.2
# TODO create CQ for version 2.15?
htmlUnitVersion = 2.15
# system-tests
dumbsterVersion = 1.6.0
# optional Spring Framework 4.2.9.RELEASE dependencies
# only used to generate the correct OSGi manifests
# spring-aop
jamonVersion = 2.81
commonsPool2Version = 2.4.2
# spring-aspects
javaxCacheVersion = 1.0.0
# spring-beans
groovyVersion = 2.4.5
snakeYamlVersion = 1.16
# spring-context
# bundlor fails with 2.0b4
beanShellVersion = 2
jodaTimeVersion = 2.9.1
jrubyVersion = 1.7.23
# spring-context-support
commonjVersion = 1.1.0
ehcacheVersion = 2.10.1
freemarkerVersion = 2.3.23
jasperreportsVersion = 6.2.0
velocityVersion = 1.7
# spring-core
joptSimpleVersion = 4.9
# spring-jdbc
c3p0Version = 0.9.5.2
jacksonVersion = 2.6.4
# spring-messaging
nettyVersion = 4.0.33.Final
reactorVersion = 2.0.7.RELEASE
# spring-orm
openjpaVersion = 2.4.0
# spring-oxm
xstreamVersion = 1.4.8
xmlBeans = 2.6.0
castorVersion = 1.4.0
jibxVersion = 1.2.6
# spring-web
hessianVersion = 4.0.38
gsonVersion = 2.5
protobufJavaVersion = 2.6.1
protobufJavaFormatVersion = 1.2
romeVersion = 1.5.1
okhttpVersion = 2.7.0
# CQ 13638
okhttp3Version = 3.8.0
# CQ 13639
okioVersion = 1.13.0
# spring-webmvc
jxlVersion = 2.6.12
poiVersion = 3.13
webjarsVersion = 0.28
# spring-websocket
undertowVersion = 1.3.10.Final